using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.BaseData.Domain.Entities.FM
{
    [Description("生产单元")]
    public class T_FM_DEPARTMENT_PRODUCTION_UNIT : MesEntityBase
    {
        [Description("组织架构表")]
        [DataFieldForeignKey("Nav_Department", "Nav_ProdutionUnit")]
        public Guid DEPARTMENT_ID { get; set; }
        [Description("组织架构表")]
        public virtual T_FM_DEPARTMENT Nav_Department { get; set; }

        /// <summary>
        /// 生产单元枚举
        /// </summary>
        [Description("生产单元枚举")]
        [DataFieldForeignKey("Nav_Enums")]
        public Guid? ENUMS_ID { get; set; }

        /// <summary>
        /// 导航：生产单元枚举
        /// </summary>
        [Description("导航：生产单元枚举")]
        public virtual T_FM_ENUMS Nav_Enums { get; set; }
    }
}
